Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 15-08-2013 22:12:19

daufinsyd
Membre
Lieu : Alsace, Haut Rhin
Distrib. : Manjaro + Tanglu + Debian Stable + Xubuntu
Noyau : Linux 4.4-amd64
(G)UI : Plasma 5 & Gnome
Inscription : 02-02-2013

paquet virtuel et freelan

Bonjour, ou plus tôt bonsoir voir bonne nuit,

Ayant un serveur de jeu entre ami, j'avais installé hamachi qui permet de créer facilement des VPN.
Cependant je souhaite me tourner vers une alternative libre, qui reste assez simple.

J'ai donc pensé à Freelan, qui en plus existe en paquet pour Debian.

Sauf qu'à l'installation apt me retourne des problèmes.

Les NOUVEAUX paquets suivants vont être installés :
  freelan{b} libasiotap1{ab}
0 paquets mis à jour, 2 nouvellement installés, 0 à enlever et 66 non mis à jour.
Il est nécessaire de télécharger 188 ko d'archives. Après dépaquetage, 663 ko seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
 freelan : Dépend: libboost-filesystem1.48.0 (>= 1.48.0-1) qui est un paquet virtuel
           Dépend: libboost-program-options1.48.0 (>= 1.48.0-1) qui est un paquet virtuel
           Dépend: libboost-system1.48.0 (>= 1.48.0-1) qui est un paquet virtuel
           Dépend: libcryptoplus1 (>= 1.3) mais il ne sera pas installé.
           Dépend: libfreelan1 (>= 1.0) mais il ne sera pas installé.
           Dépend: libfscp1 (>= 1.0) mais il ne sera pas installé.
           Dépend: libboost-thread1.48.0 qui est un paquet virtuel
 libasiotap1 : Dépend: libboost-system1.48.0 (>= 1.48.0-1) qui est un paquet virtuel
Les actions suivantes permettront de résoudre ces dépendances :

     Conserver les paquets suivants dans leur version actuelle :
1)     freelan [Non installé]                                  
2)     libasiotap1 [Non installé]



libboost-filesystem1.48.0 est dépassé et n'existe pas pour amd64 mais libboost-filesystem1.49.0 est installé.
Je me suis renseigné sur les paquets virtuels, ça m'a l'aire pratique sauf quand ça marche pas.
En théorie libboost-filesystem1.48.0 devrait être "fourni" par  libboost-filesystem1.49.0 non ?

Sinon effectivement le dépôt de freelan n'a pas été mis à jour depuis 2012

pouvez-vous m'aider ?
merci, daufinsyd


Aspire V3-772G + SSD 850Evo (msata)
Intel i7-4790 4 (8) * 3.6Ghz - 12Go - GTX460 1Go - 1To + 500Go DD
Intel i7-6700 - 8Go - AMD R9 280X 3Go - 1To HDD + 2To HDD + SSD 850Evo (2.5)

Hors ligne

#2 15-08-2013 22:27:48

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : paquet virtuel et freelan

Salut,

daufinsyd a écrit :

J'ai donc pensé à Freelan, qui en plus existe en paquet pour Debian.


Je ne connais pas. Précise qu'il s'agit de paquets Debian non-officiels quand même smile

daufinsyd a écrit :

libboost-filesystem1.48.0 est dépassé et n'existe pas pour amd64 mais libboost-filesystem1.49.0 est installé.
Je me suis renseigné sur les paquets virtuels, ça m'a l'aire pratique sauf quand ça marche pas.
En théorie libboost-filesystem1.48.0 devrait être "fourni" par  libboost-filesystem1.49.0 non ?


Non, pas si l'ABI a changé, ce qui semble être le cas vu que le numéro de version fait partie du nom du paquet.

daufinsyd a écrit :

Sinon effectivement le dépôt de freelan n'a pas été mis à jour depuis 2012


Mais est-ce que freelan est toujours activement développé ?
Leur paquet a l'air super relou à compiler depuis le git…


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#3 15-08-2013 22:38:38

daufinsyd
Membre
Lieu : Alsace, Haut Rhin
Distrib. : Manjaro + Tanglu + Debian Stable + Xubuntu
Noyau : Linux 4.4-amd64
(G)UI : Plasma 5 & Gnome
Inscription : 02-02-2013

Re : paquet virtuel et freelan

hum oui effectivement il ne semble plus être développé, cela dit j'ai découvert freelan y a long temps mais je ne m'y étais pas intéressé d'avantage.

Bon ben alors je vais voir si je n'en trouve pas un autre smile

merci pour ta réponse smile

Aspire V3-772G + SSD 850Evo (msata)
Intel i7-4790 4 (8) * 3.6Ghz - 12Go - GTX460 1Go - 1To + 500Go DD
Intel i7-6700 - 8Go - AMD R9 280X 3Go - 1To HDD + 2To HDD + SSD 850Evo (2.5)

Hors ligne

Pied de page des forums